#import <objc/runtime.h>
#import "allincludes.h"
#import <NFIUtility/CallbackSupport.h>
#import <NFIUtility/PointerSupport.h>
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wformat-security"
#pragma clang diagnostic ignored "-Wdeprecated-declarations"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#pragma clang diagnostic ignored "-Wnullability-completeness"
@implementation UNNotificationContent (Exports)
-(UNNotificationContent *) jscontentByUpdatingWithProvider: (id) provider error: (JSValue *) outError 
{
	NSError* outError_ = nil;
	UNNotificationContent * resultVal__;
	resultVal__ = [self contentByUpdatingWithProvider: provider error: &outError_ ];
	if (outError_ && [outError isObject]) {
		outError[@"error"] = outError_;
	}
	return resultVal__;
}
-(id) jsinitWithCoder: (NSCoder *) coder 
{
	id resultVal__;
	resultVal__ = [[self initWithCoder: coder ] autorelease];
	return resultVal__;
}
@end
static void addProtocols()
{
	class_addProtocol([UNNotificationContent class], @protocol(UNNotificationContentInstanceExports));
	class_addProtocol([UNNotificationContent class], @protocol(UNNotificationContentClassExports));
	class_addProtocol([UNMutableNotificationContent class], @protocol(UNMutableNotificationContentInstanceExports));
	class_addProtocol([UNMutableNotificationContent class], @protocol(UNMutableNotificationContentClassExports));
}
static void registerCFunctions(JSContext* context)
{
}
static void registerEnumConstants(JSContext* context)
{

	context[@"UNNotificationInterruptionLevelPassive"] = @0UL;
	context[@"UNNotificationInterruptionLevelActive"] = @1UL;
	context[@"UNNotificationInterruptionLevelTimeSensitive"] = @2UL;
	context[@"UNNotificationInterruptionLevelCritical"] = @3UL;

}
static void registerGlobalConstants(JSContext* context)
{
	void* p; p = NULL;
}
void UserNotifications_UNNotificationContentProtocols()
{
	(void)objc_getProtocol('UNNotificationContentProviding');
}
void load_UserNotifications_UNNotificationContent_symbols(JSContext* context)
{
    addProtocols();
    registerEnumConstants(context);
    registerCFunctions(context);
    registerGlobalConstants(context);
}
#pragma clang diagnostic pop
